libetonyek::IWORKPrintInfo Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKPrintInfo Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKPrintInfo ()

## Public Attributes
boost::optional< double > | m_height
boost::optional< double > | m_width
boost::optional< int > | m_orientation
boost::optional< double > | m_marginBottom
boost::optional< double > | m_marginLeft
boost::optional< double > | m_marginRight
boost::optional< double > | m_marginTop
boost::optional< double > | m_footerHeight
boost::optional< double > | m_headerHeight

## Constructor & Destructor Documentation

## ◆ IWORKPrintInfo()

libetonyek::IWORKPrintInfo::IWORKPrintInfo | ( |  | ) |

## Member Data Documentation

## ◆ m_footerHeight

boost::optional<double> libetonyek::IWORKPrintInfo::m_footerHeight

Referenced by IWORKPrintInfo(), and libetonyek::PAG5Parser::parseDocument().

## ◆ m_headerHeight

boost::optional<double> libetonyek::IWORKPrintInfo::m_headerHeight

Referenced by IWORKPrintInfo(), and libetonyek::PAG5Parser::parseDocument().

## ◆ m_height

boost::optional<double> libetonyek::IWORKPrintInfo::m_height

Referenced by IWORKPrintInfo(), and libetonyek::PAG5Parser::parseDocument().

## ◆ m_marginBottom

boost::optional<double> libetonyek::IWORKPrintInfo::m_marginBottom

Referenced by IWORKPrintInfo(), and libetonyek::PAG5Parser::parseDocument().

## ◆ m_marginLeft

boost::optional<double> libetonyek::IWORKPrintInfo::m_marginLeft

Referenced by IWORKPrintInfo(), and libetonyek::PAG5Parser::parseDocument().

## ◆ m_marginRight

boost::optional<double> libetonyek::IWORKPrintInfo::m_marginRight

Referenced by IWORKPrintInfo(), and libetonyek::PAG5Parser::parseDocument().

## ◆ m_marginTop

boost::optional<double> libetonyek::IWORKPrintInfo::m_marginTop

Referenced by IWORKPrintInfo(), and libetonyek::PAG5Parser::parseDocument().

## ◆ m_orientation

boost::optional<int> libetonyek::IWORKPrintInfo::m_orientation

Referenced by IWORKPrintInfo(), and libetonyek::PAG5Parser::parseDocument().

## ◆ m_width

boost::optional<double> libetonyek::IWORKPrintInfo::m_width

Referenced by IWORKPrintInfo(), and libetonyek::PAG5Parser::parseDocument().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp